netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nbp_lkup_async.c File Reference
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <netatalk/at.h>`
`#include <atalk/ddp.h>`
`#include <netdb.h>`
`#include "nbp_lkup_async.h"`

## Functions
int | nbp_parse (char *, struct nbpnve *, int)
static char * | nbp_addstring (char *p, char *s)
static char * | nbp_addtuple (char *p, struct sockaddr_at addr, char *name, char *type, char *zone)
int | nbp_lookup_req (int s, char *name, char *type, char *zone)
struct nbpnve * | nbp_parse_lkup_repl (char *buffer, int len)

## Variables
int | gDebug

## Function Documentation

## ◆ nbp_addstring()

char * nbp_addstring | ( | char * | p,
|  | char * | s )
| static

## ◆ nbp_addtuple()

char * nbp_addtuple | ( | char * | p,
|  | struct sockaddr_at | addr,
|  | char * | name,
|  | char * | type,
|  | char * | zone )
| static

## ◆ nbp_lookup_req()

int nbp_lookup_req | ( | int | s,
|  | char * | name,
|  | char * | type,
|  | char * | zone )

## ◆ nbp_parse()

int nbp_parse | ( | char * | data,
|  | struct nbpnve * | nn,
|  | int | len )
| extern

## ◆ nbp_parse_lkup_repl()

struct nbpnve * nbp_parse_lkup_repl | ( | char * | buffer,
|  | int | len )

## Variable Documentation

## ◆ gDebug

int gDebug
| extern